bigtop-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ofle...@apache.org
Subject bigtop git commit: BIGTOP-1905: Update Hue build for the upcoming 3.9 release
Date Fri, 06 Nov 2015 20:35:23 GMT
Repository: bigtop
Updated Branches:
  refs/heads/master a5990c048 -> e6261d80f


BIGTOP-1905: Update Hue build for the upcoming 3.9 release


Project: http://git-wip-us.apache.org/repos/asf/bigtop/repo
Commit: http://git-wip-us.apache.org/repos/asf/bigtop/commit/e6261d80
Tree: http://git-wip-us.apache.org/repos/asf/bigtop/tree/e6261d80
Diff: http://git-wip-us.apache.org/repos/asf/bigtop/diff/e6261d80

Branch: refs/heads/master
Commit: e6261d80f71d2dcb15fed45c13c862bf1d9cb250
Parents: a5990c0
Author: Olaf Flebbe <of@oflebbe.de>
Authored: Fri Sep 18 13:32:04 2015 +0200
Committer: Olaf Flebbe <of@ofleb.be>
Committed: Fri Nov 6 21:32:55 2015 +0100

----------------------------------------------------------------------
 bigtop-packages/src/common/hue/install_hue.sh |  2 +-
 bigtop-packages/src/deb/hue/control           |  4 ++--
 bigtop-packages/src/rpm/hue/SPECS/hue.spec    | 13 +++++++++++--
 bigtop.bom                                    |  2 +-
 bigtop_toolchain/manifests/packages.pp        |  8 ++++----
 5 files changed, 19 insertions(+), 10 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/bigtop/blob/e6261d80/bigtop-packages/src/common/hue/install_hue.sh
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/common/hue/install_hue.sh b/bigtop-packages/src/common/hue/install_hue.sh
index a21b133..2fe6bab 100644
--- a/bigtop-packages/src/common/hue/install_hue.sh
+++ b/bigtop-packages/src/common/hue/install_hue.sh
@@ -121,7 +121,7 @@ ln -fs $LIB_DIR/desktop/libs/hadoop/java-lib/*plugin*jar $PREFIX/$HADOOP_DIR
 
 # Remove Hue database and then recreate it, but with just the "right" apps
 rm -f $PREFIX/$LIB_DIR/desktop/desktop.db $PREFIX/$LIB_DIR/app.reg
-APPS="about filebrowser help proxy useradmin oozie jobbrowser jobsub metastore"
+APPS="about filebrowser help proxy useradmin jobbrowser jobsub oozie metastore"
 export DESKTOP_LOG_DIR=$BUILD_DIR
 export DESKTOP_LOGLEVEL=WARN
 export ROOT=$PREFIX/$LIB_DIR

http://git-wip-us.apache.org/repos/asf/bigtop/blob/e6261d80/bigtop-packages/src/deb/hue/control
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/hue/control b/bigtop-packages/src/deb/hue/control
index c2cca71..5fd694f 100644
--- a/bigtop-packages/src/deb/hue/control
+++ b/bigtop-packages/src/deb/hue/control
@@ -17,13 +17,13 @@ Source: hue
 Section: misc
 Priority: extra
 Maintainer: Apache Bigtopr <dev@bigtop.apache.org>
-Build-Depends: debhelper (>= 7.0.50~), python2.6-dev | python2.7-dev, libxml2-dev, libxslt1-dev,
zlib1g-dev, libsqlite3-dev, libldap2-dev, libsasl2-dev, libmysqlclient-dev, make, python-setuptools,
libkrb5-dev
+Build-Depends: debhelper (>= 7.0.50~), python2.6-dev | python2.7-dev, libxml2-dev, libxslt1-dev,
zlib1g-dev, libsqlite3-dev, libldap2-dev, libsasl2-dev, libmysqlclient-dev, make, python-setuptools,
libkrb5-dev, libgmp-dev
 Standards-Version: 3.9.4
 Homepage: http://github.com/cloudera/hue
 
 Package: hue-common
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${build:SYS-PYTHON}, libsasl2-modules-gssapi-mit,
libxslt1.1, make, python (>= 2.6)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${build:SYS-PYTHON}, libsasl2-modules-gssapi-mit,
libxslt1.1, make, python (>= 2.6), libgmp10
 Description: A browser-based desktop interface for Hadoop
  Hue is a browser-based desktop interface for interacting with Hadoop.
  It supports a file browser, job tracker interface, cluster health monitor, and more.

http://git-wip-us.apache.org/repos/asf/bigtop/blob/e6261d80/bigtop-packages/src/rpm/hue/SPECS/hue.spec
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/rpm/hue/SPECS/hue.spec b/bigtop-packages/src/rpm/hue/SPECS/hue.spec
index ef692fd..329b219 100644
--- a/bigtop-packages/src/rpm/hue/SPECS/hue.spec
+++ b/bigtop-packages/src/rpm/hue/SPECS/hue.spec
@@ -181,14 +181,15 @@ cp $orig_init_file $RPM_BUILD_ROOT/%{initd_dir}/hue
 
 %package -n %{name}-common
 Summary: A browser-based desktop interface for Hadoop
-BuildRequires: python-devel, python-setuptools, gcc, gcc-c++
+BuildRequires: gcc, gcc-c++
 BuildRequires: libxml2-devel, libxslt-devel, zlib-devel, libyaml-devel
 BuildRequires: cyrus-sasl-devel
 BuildRequires: openssl-devel
 BuildRequires: krb5-devel
 BuildRequires: asciidoc
+BuildRequires: gmp-devel
 Group: Applications/Engineering
-Requires: cyrus-sasl-gssapi, libxml2, libxslt, zlib, python, sqlite, libyaml
+Requires: cyrus-sasl-gssapi, libxml2, libxslt, zlib, sqlite, libyaml, gmp
 # The only reason we need the following is because we also have AutoProv: no
 Provides: config(%{name}-common) = %{version}
 
@@ -200,6 +201,14 @@ Requires: insserv, python-xml
 BuildRequires: /sbin/runuser, sqlite-devel, openldap-devel, mysql-devel, openssl-devel
 # Required for init scripts
 Requires: /lib/lsb/init-functions
+%if 0%{?rhel:%{rhel}} < 6
+# Python 2.5+ is required, but RHEL 5's `python` is 2.4
+BuildRequires: python26-devel, python26-distribute
+Requires: python26
+%else
+BuildRequires: python-devel, python-setuptools
+Requires: python
+%endif
 %endif
 
 # Disable automatic Provides generation - otherwise we will claim to provide all of the

http://git-wip-us.apache.org/repos/asf/bigtop/blob/e6261d80/bigtop.bom
----------------------------------------------------------------------
diff --git a/bigtop.bom b/bigtop.bom
index 57fd457..1388008 100644
--- a/bigtop.bom
+++ b/bigtop.bom
@@ -242,7 +242,7 @@ bigtop {
     'hue' {
       name    = 'hue'
       relNotes = 'Hadoop User Interface'
-      version { base = '3.8.1'; pkg = base; release = 1 }
+      version { base = '3.9.0'; pkg = base; release = 1 }
       tarball { destination = "$name-${version.base}.tar.gz"
                 source      = "release-${version.base}.tar.gz" }
       url     { site = "https://github.com/cloudera/hue/archive"

http://git-wip-us.apache.org/repos/asf/bigtop/blob/e6261d80/bigtop_toolchain/manifests/packages.pp
----------------------------------------------------------------------
diff --git a/bigtop_toolchain/manifests/packages.pp b/bigtop_toolchain/manifests/packages.pp
index 8ac7be3..2ea25b7 100644
--- a/bigtop_toolchain/manifests/packages.pp
+++ b/bigtop_toolchain/manifests/packages.pp
@@ -22,11 +22,11 @@ class bigtop_toolchain::packages {
        } else {
          $mysql_devel="mariadb-devel"
        }
-       $pkgs = [ "unzip", "curl", "wget", "git", "make", "cmake", "autoconf", "automake",
"libtool", "gcc", "gcc-c++", "fuse", "createrepo", "lzo-devel", "fuse-devel", "cppunit-devel",
"openssl-devel", "python-devel", "python-setuptools", "libxml2-devel", "libxslt-devel", "cyrus-sasl-devel",
"sqlite-devel", "openldap-devel", $mysql_devel, "rpm-build", "redhat-rpm-config", "fuse-libs",
"asciidoc", "xmlto", "libyaml-devel", "snappy-devel" ]
+       $pkgs = [ "unzip", "curl", "wget", "git", "make", "cmake", "autoconf", "automake",
"libtool", "gcc", "gcc-c++", "fuse", "createrepo", "lzo-devel", "fuse-devel", "cppunit-devel",
"openssl-devel", "python-devel", "python-setuptools", "libxml2-devel", "libxslt-devel", "cyrus-sasl-devel",
"sqlite-devel", "openldap-devel", $mysql_devel, "rpm-build", "redhat-rpm-config", "fuse-libs",
"asciidoc", "xmlto", "libyaml-devel", "gmp-devel", "snappy-devel" ]
      }
-    /(?i:(SLES|opensuse))/: { $pkgs = [ "unzip", "curl", "wget", "git", "make", "cmake",
"autoconf", "automake", "libtool", "gcc", "gcc-c++", "fuse", "createrepo", "lzo-devel", "fuse-devel",
"cppunit-devel", "libopenssl-devel", "rpm-devel", "pkg-config", "snappy-devel" ] }
-    Amazon: {                 $pkgs = [ "unzip", "curl", "wget", "git", "make", "cmake",
"autoconf", "automake", "libtool", "gcc", "gcc-c++", "fuse", "createrepo", "lzo-devel", "fuse-devel",
"openssl-devel", "rpm-build", "system-rpm-config", "fuse-libs", "snappy-devel" ] }
-    /(Ubuntu|Debian)/: {      $pkgs = [ "unzip", "curl", "wget", "git-core", "make", "cmake",
"autoconf", "automake", "libtool", "gcc", "g++", "fuse", "reprepro", "liblzo2-dev", "libfuse-dev",
"libcppunit-dev", "libssl-dev", "libzip-dev", "sharutils", "pkg-config", "debhelper", "devscripts",
"build-essential", "dh-make", "libfuse2", "libssh-dev", "libjansi-java", "python2.7-dev",
"libxml2-dev", "libxslt1-dev", "zlib1g-dev", "libsqlite3-dev", "libldap2-dev", "libsasl2-dev",
"libmysqlclient-dev", "python-setuptools", "libkrb5-dev", "asciidoc", "libyaml-dev", "libsnappy-dev"
]
+    /(?i:(SLES|opensuse))/: { $pkgs = [ "unzip", "curl", "wget", "git", "make", "cmake",
"autoconf", "automake", "libtool", "gcc", "gcc-c++", "fuse", "createrepo", "lzo-devel", "fuse-devel",
"cppunit-devel", "libopenssl-devel", "rpm-devel", "pkg-config", "gmp-devel", "snappy-devel"
] }
+    Amazon: {                 $pkgs = [ "unzip", "curl", "wget", "git", "make", "cmake",
"autoconf", "automake", "libtool", "gcc", "gcc-c++", "fuse", "createrepo", "lzo-devel", "fuse-devel",
"openssl-devel", "rpm-build", "system-rpm-config", "fuse-libs","gmp-devel", "snappy-devel"
] }
+    /(Ubuntu|Debian)/: {      $pkgs = [ "unzip", "curl", "wget", "git-core", "make", "cmake",
"autoconf", "automake", "libtool", "gcc", "g++", "fuse", "reprepro", "liblzo2-dev", "libfuse-dev",
"libcppunit-dev", "libssl-dev", "libzip-dev", "sharutils", "pkg-config", "debhelper", "devscripts",
"build-essential", "dh-make", "libfuse2", "libssh-dev", "libjansi-java", "python2.7-dev",
"libxml2-dev", "libxslt1-dev", "zlib1g-dev", "libsqlite3-dev", "libldap2-dev", "libsasl2-dev",
"libmysqlclient-dev", "python-setuptools", "libkrb5-dev", "asciidoc", "libyaml-dev", "libgmp-dev",
"libsnappy-dev" ]
 
       exec { "apt-update":
         command => "/usr/bin/apt-get update"


Mime
View raw message